#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# Copyright @2024 INSPUR Inc. (inspur.com)
#
# @author: J.G. Chen <chenjianguo@inspur.com>
# @date: 2024/06/14
#

import os
from enum import Enum

__version__ = "v1.4.2"


class HairuoEnv(str, Enum):
    UNK = "unk"
    TEST = "test"
    DEV = "dev"
    PROD = "prod"


# 默认所有的机器需要设置 "HAIRUO_ENV" 环境变量, test/dev/prod
HAIRUO_ENV = HairuoEnv(os.getenv("HAIRUO_ENV", "unk"))

assert HAIRUO_ENV != HairuoEnv.UNK, "env var `HAIRUO_ENV` is required."
