# -*- encoding: utf-8 -*-
'''
@File    :   model_utils.py
@Time    :   2024/07/24 10:28:28
@Author  :   liangzz1991
@Email   :   zhaoliang03@inspur.com
'''
import json
import time
import yaml
import requests
from common.config import ConfigBase
from common import HAIRUO_ENV
from common import HairuoEnv

def get_cfg(config):
    config = config.dighthuman
    config.update(config.get(HAIRUO_ENV, dict()))
    for env in HairuoEnv:
        config.pop(env, default=None)
    ConfigBase.show(config)
    return config

configs = ConfigBase.load('configs/cfg.yml')
configs = get_cfg(configs)
STATIC_TOKEN = configs['static_token']
DH_URL = configs['dh_webui']
model_name = configs['model_name']

def audio_driven_video(wav_url):
    data = {
         "audio_url": wav_url
         }
    response = requests.post(DH_URL, data=json.dumps(data),timeout=60,headers={'Content-Type': 'application/json', 'Authorization': STATIC_TOKEN})
    if response.status_code != 200:
        return 1, ""
    else:
        video_url = response.json()['result']
        return 0, video_url
    
